#3001 closed defect (fixed)

SMP build of RTEMS Testsuite does not set CONFIGURE_MAXIMUM_PROCESSORS

Reported by: Chris Johns Owned by: Sebastian Huber
Priority: high Milestone: 5.1
Component: score Version: 5
Severity: blocker Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Chris Johns)

The default setting for CONFIGURE_MAXIMUM_PROCESSORS is 1 and this means rtems_configuration_is_smp_enabled() returns false. Only the smptests set the maximum processor count to CPU_COUNT and therefore run in SMP mode.

If SMP is not running in an SMP build when running the tests are the tests really reporting a true indication of the of the system?

I would expect we have the API tests, libtests and fstests running with SMP enabled in an SMP build.

Change History (9)

comment:1 Changed on Apr 20, 2017 at 7:48:52 AM by Chris Johns

Description: modified (diff)

comment:2 Changed on May 11, 2017 at 9:59:06 AM by Sebastian Huber

Owner: changed from joel.sherrill@… to Sebastian Huber
Status: newaccepted

comment:3 Changed on May 12, 2017 at 6:01:25 AM by Sebastian Huber <sebastian.huber@…>

In 1309718/rtems:

confdefs.h: CONFIGURE_DISABLE_SMP_CONFIGURATION

Enable the SMP configuration by default in case SMP is enabled. Add
configuration option CONFIGURE_DISABLE_SMP_CONFIGURATION to disable it
explicitly.

Add CONFIGURE_DISABLE_SMP_CONFIGURATION to all test which would fail
otherwise.

Update #3001.

comment:4 Changed on May 12, 2017 at 6:36:26 AM by Sebastian Huber <sebastian.huber@…>

In f778b7f3/rtems:

confdefs.h: Use SMP scheduler only if necessary

Update #3001.

comment:5 Changed on May 16, 2017 at 7:48:56 AM by Sebastian Huber <sebastian.huber@…>

In 6bc63df1/rtems:

confdefs.h: Add SMP enabled field to configuration

Do not use the processor count to determine if SMP is enabled. Instead
use a dedicated configuration option. Enable SMP by default in SMP
configurations.

Add CONFIGURE_DISABLE_SMP_CONFIGURATION to all test which would fail
otherwise.

Update #3001.

comment:6 Changed on Jun 8, 2017 at 8:11:59 AM by Sebastian Huber

Resolution: fixed
Status: acceptedclosed

By default, in case SMP in enabled the SMP mode will be used.

comment:7 Changed on Oct 10, 2017 at 6:27:10 AM by Sebastian Huber

Component: SMPscore

comment:8 Changed on Oct 10, 2017 at 6:29:01 AM by Sebastian Huber

Component: scorecpukit

comment:9 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.